Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.portlet.impl.jsr168.api
Class FilterChainImpl<T extends javax.portlet.filter.PortletFilter>

    java.lang.Object
      org.jboss.portal.portlet.impl.jsr168.api.FilterChainImpl<T>

All Implemented Interfaces:
  javax.portlet.filter.FilterChain

    public class FilterChainImpl<T extends javax.portlet.filter.PortletFilter>

extends java.lang.Object
implements javax.portlet.filter.FilterChain

Version:
  $Revision: 630 $
Author:
  Julien Viet

Constructor Summary
`FilterChainImpl(java.util.List<T> filters, java.lang.Class<T> phase)`

Method Summary
`void` | `doFilter(ActionRequest req, ActionResponse resp)`
`void` | `doFilter(javax.portlet.EventRequest req, javax.portlet.EventResponse resp)`
`void` | `doFilter(PortletRequest req, PortletResponse resp)`
`void` | `doFilter(RenderRequest req, RenderResponse resp)`
`void` | `doFilter(javax.portlet.ResourceRequest req, javax.portlet.ResourceResponse resp)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FilterChainImpl

    public FilterChainImpl(java.util.List<T> filters,
                           java.lang.Class<T> phase)

Method Detail

### doFilter

    public void doFilter(PortletRequest req,
                         PortletResponse resp)
                  throws java.io.IOException,
                         PortletException

  Throws:
    `java.io.IOException`
    `PortletException`

### doFilter

    public void doFilter(ActionRequest req,
                         ActionResponse resp)
                  throws java.io.IOException,
                         PortletException

  Specified by:
    `doFilter` in interface `javax.portlet.filter.FilterChain`
  Throws:
    `java.io.IOException`
    `PortletException`

### doFilter

    public void doFilter(javax.portlet.EventRequest req,
                         javax.portlet.EventResponse resp)
                  throws java.io.IOException,
                         PortletException

  Specified by:
    `doFilter` in interface `javax.portlet.filter.FilterChain`
  Throws:
    `java.io.IOException`
    `PortletException`

### doFilter

    public void doFilter(RenderRequest req,
                         RenderResponse resp)
                  throws java.io.IOException,
                         PortletException

  Specified by:
    `doFilter` in interface `javax.portlet.filter.FilterChain`
  Throws:
    `java.io.IOException`
    `PortletException`

### doFilter

    public void doFilter(javax.portlet.ResourceRequest req,
                         javax.portlet.ResourceResponse resp)
                  throws java.io.IOException,
                         PortletException

  Specified by:
    `doFilter` in interface `javax.portlet.filter.FilterChain`
  Throws:
    `java.io.IOException`
    `PortletException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008. All Rights Reserved.